/* various.h */

/*
The contents of this file are hereby released to the public domain.

                           -- Rahul Dhesi 1986/11/14
*/

/*
This files gives definitions for most external functions used by Zoo.
If LINT_ARGS is defined, ANSI-style function prototypes are used, else
normal K&R function declarations are used.

Note:  Always precede this file with an include of stdio.h because it uses
the predefined type FILE.
*/

#ifdef LINT_ARGS
FILE *fdopen (int, char *);
FILE *fopen (char *, char *);
char *fgets (char *, int, FILE *);
char *gets (char *);
char *malloc (unsigned int);
char *realloc (char *, unsigned int);
char *strcat (char *, char *);
char *strchr (char *, int);
char *strcpy (char *, char *);
char *strdup (char *);
char *strlwr (char *);
char *strncat (char *, char *, unsigned int);
char *strncpy (char *, char *, unsigned int);
char *strrchr (char *, int);
int trunc (int);
int close (int);
int creat (char *, int);
int fclose (FILE *);
int fflush (FILE *);
int fgetc (FILE *);
int fgetchar ();
int fprintf (FILE *, char *,);
int fputc (int, FILE *);
int fputchar (int);
int fputs (char *, FILE *);
int fread (char *, int, int, FILE *);
int fseek (FILE *, long, int);
int fwrite (char *, int, int, FILE *);
int open (char *, int,);
int printf (char *,);
int read (int, char *, unsigned int);
int rename (char *, char *);
int setmode (int, int);
int strcmp (char *, char *);
int strncmp (char *, char *, unsigned int);
int unlink (char *);
int write (int, char *, unsigned int);
long ftell (FILE *);
long lseek (int, long, int);
long tell (int);
unsigned int strlen (char *);

#else

FILE *fdopen ();
FILE *fopen ();
char *fgets ();
char *gets ();
char *malloc ();
char *realloc ();
char *strcat ();
char *strchr ();
char *strcpy ();
char *strdup ();
char *strlwr ();
char *strncat ();
char *strncpy ();
char *strrchr ();
int trunc ();
int close ();
int creat ();
int fclose ();
int fflush ();
int fgetc ();
int fgetchar ();
int fprintf ();
int fputc ();
int fputchar ();
int fputs ();
int fread ();
int fseek ();
int fwrite ();
int open ();
int printf ();
int read ();
int rename ();
int setmode ();
int strcmp ();
int strncmp ();
int unlink ();
int write ();
long ftell ();
long lseek ();
long tell ();
unsigned int strlen ();
#endif
